%define upstream_name Test-Time
%define upstream_version 0.04

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 2

Summary:	Overrides the time() and sleep() core functions for testing
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:	noarch

%description
Test::Time can be used to test modules that deal with time. Once you
"use" this module, all references to "time" and "sleep" will be
internalized. You can set custom time by passing time => number after
the "use" statement:

    use Test::Time time => 1;

    my $now = time;    # $now is equal to 1
    sleep 300;         # returns immediately, displaying a note
    my $then = time;   # $then equals to 301

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.40.0-2.mga4
+ Revision: 542257
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 sander85 <sander85> 0.40.0-1.mga4
+ Revision: 497148
- imported package perl-Test-Time

